# $Id$
#
# System Tools that are mandatory inside the initrd
#

/lib/ld-linux.so.2

# Base Unix commands
/bin/bash
/bin/mt
/bin/awk
/bin/gawk
# On Debian
/usr/bin/awk
/usr/bin/gawk
/bin/dd
/bin/grep
/bin/uname
/bin/df
/usr/bin/loadkeys
/bin/loadkeys
/sbin/pidof
/etc/init.d/functions
# On ArchLinux
/bin/pidof
/etc/rc.d/functions
/usr/bin/grep

# Compression
/bin/gzip

# Logs
/sbin/klogd
/sbin/syslogd
/sbin/rsyslogd
# On ArchLinux
/usr/sbin/syslog-ng

# HW related
/sbin/fdisk
/sbin/hdparm
/sbin/blkid
/bin/mount
/sbin/mount.nfs
/sbin/mount.nfs4 
/etc/rpc
/etc/netconfig
/usr/bin/sshfs 
/sbin/mount.fuse
/usr/bin/fusermount
# On ArchLinux
/bin/fusermount
/usr/bin/ssh
# Required by ssh as dlopened
/lib/libnss_compat.so
/lib64/libnss_compat.so
/usr/lib/libnss_compat.so
/usr/lib64/libnss_compat.so
/lib/libnss_files.so
/lib64/libnss_files.so
/usr/lib/libnss_files.so
/usr/lib64/libnss_files.so
# New Debian 7/Ubuntu 13 multiarch
/usr/lib/x86_64-linux-gnu/libnss_compat.so
/usr/lib/x86_64-linux-gnu/libnss_files.so
/usr/lib/i386-linux-gnu/libnss_compat.so
/usr/lib/i386-linux-gnu/libnss_files.so

/etc/ssh
/usr/bin/ulockmgr_server
#On ArchLinux
/bin/ulockmgr_server
/sbin/mount.cifs
/sbin/mount.cifs3
/sbin/mount.smb
/sbin/mount.smb3
/sbin/mount.smbfs
/sbin/mount.smbfs3
/sbin/mount.ntfs
/sbin/mount.ntfs-3g

# For devfs
/sbin/MAKEDEV
/sbin/devfsd
/sbin/hwup

# On SLES 10
/sbin/path_id
/sbin/scsi_id
/sbin/scsi_tur
/sbin/hwup

/sbin/usb_id
/sbin/vol_id
/sbin/pam_console_apply

# For upstart/systemd
/etc/init
/sbin/start
/sbin/stop
/sbin/status
/sbin/shutdown
/sbin/initctl

# Modules
/sbin/insmod
/sbin/lsmod
/sbin/kmod
# On SLES 11 SP2
/bin/lsmod
# On ArchLinux
/usr/bin/lsmod
/usr/bin/insmod
/usr/bin/kmod
/sbin/modprobe
/etc/modprobe.d
/etc/modprobe.conf
/etc/conf.modules
/etc/modules.conf.local
/etc/depmod.d/hpvsa.conf
# Debian 7
/bin/kmod

# For mdadm
/sbin/mdadm
/sbin/mdassemble
/etc/mdadm.conf
/etc/mdadm/mdadm.conf

# Raid support
/sbin/raidstart
/etc/raidtab

# Tools for multipath support
/sbin/multipath
/sbin/dmsetup
/sbin/kpartx
/sbin/dmraid
/sbin/scsi_id
/sbin/mpath_prio_alua
/sbin/mpath_wait
/sbin/mpath_ctl
/sbin/mpath_prio_emc
/sbin/mpath_prio_hds_modular
/sbin/mpath_prio_netapp
/sbin/mpath_prio_ontap
/sbin/mpath_prio_rdac
/sbin/mpath_prio_tpc

# Network System Tools
/bin/ping
/sbin/ifconfig
/sbin/route
/sbin/rpcbind

# Busybox
/usr/lib/mindi/rootfs/bin/busybox
/usr/lib64/mindi/rootfs/bin/busybox
